# Changelog

All notable changes to this project will be documented in this file.
Each new release typically also includes the latest modulesync defaults.
These should not affect the functionality of the module.

## [v3.0.0](https://github.com/voxpupuli/puppet-nrpe/tree/v3.0.0) (2018-11-06)

[Full Changelog](https://github.com/voxpupuli/puppet-nrpe/compare/v2.1.1...v3.0.0)

This is the first [VoxPupuli](https://voxpupuli.org) release of [`puppet/nrpe`](https://forge.puppet.com/pupppet/nrpe).  `puppet/nrpe` is a fork of [`pdxcat/nrpe`](https://forge.puppet.com/pdxcat/nrpe).

Users migrating from `pdxcat/nrpe` should carefully review any breaking changes that may affect them.


**Breaking changes:**

- Use modern facts and stdlib `fact\(\)` function [\#10](https://github.com/voxpupuli/puppet-nrpe/pull/10) ([alexjfisher](https://github.com/alexjfisher))
- Add reference docs and remove redundant `recurse` parameter [\#9](https://github.com/voxpupuli/puppet-nrpe/pull/9) ([alexjfisher](https://github.com/alexjfisher))
- Convert to EPP templates and add Puppet 4+ data types to parameters [\#6](https://github.com/voxpupuli/puppet-nrpe/pull/6) ([alexjfisher](https://github.com/alexjfisher))

**Implemented enhancements:**

- Add `supplementary\_groups` parameter [\#7](https://github.com/voxpupuli/puppet-nrpe/pull/7) ([alexjfisher](https://github.com/alexjfisher))
- Parameterize `nrpe::command` file mode [\#5](https://github.com/voxpupuli/puppet-nrpe/pull/5) ([alexjfisher](https://github.com/alexjfisher))

**Merged pull requests:**

- Major refactor into install/config/service pattern [\#8](https://github.com/voxpupuli/puppet-nrpe/pull/8) ([alexjfisher](https://github.com/alexjfisher))
- Fixup metadata.json, add travis secret for VP fork [\#4](https://github.com/voxpupuli/puppet-nrpe/pull/4) ([alexjfisher](https://github.com/alexjfisher))
- Use full apache 2 license text [\#3](https://github.com/voxpupuli/puppet-nrpe/pull/3) ([alexjfisher](https://github.com/alexjfisher))
- Update README [\#2](https://github.com/voxpupuli/puppet-nrpe/pull/2) ([alexjfisher](https://github.com/alexjfisher))

## v2.1.1 (2016-06-09)

* Fix file perms

## v2.1.0 (2016-06-07)

* Take the parameters given to the module into account, rather than the defaults from the params.pp when creating commands.
* Fix `nrpe::include_dir` bug 
* make management of nrpe package optional
* Use variable for title of service resource to be consistent
* Allow other users than root to be sudoed

## v2.0.0 (2015-06-16)

* Add Gentoo support.
* Re-add inherit params.
* Allow hiera-based override of nrpe user/group/pid.
* Fix variable naming.
* 1ca413e Add all other NRPE config parameters: `allow_bash_command_substitution`, `log_facility`, `server_port`, `command_prefix`, debug, `connection_timeout`; also add `dont_blame_nrpe` to `nrpe::params`.
* Add support for SLES
* Added support to set file mode of plugin file
* Added support for the 'content' attribute for a plugin
* Added sudo support
* Add support for OpenBSD.
* Make `command_timeout` configurable.
* Allow to specify fully qualified commands.
* Specify `server_address` in nrpe class.
* change package name from nrpe2 to nrpe for freebsd
* add 32bit architecture for RedHat OS family
* removed `dont_blame_nrpe` from params
* Fixed typo, missing bracket after list in params.pp near line 78
* corrected syntax
* added `dont_blame_nrpe`
* corrected FreeBSD package names
* added SUSE default params
* cfg template w/ @libdir fact

## (v1.0.0) (2014-02-26)

### Summary:

This release adds FreeBSD osfamily support and support
for adding nrpe plugins.

### Features:

* Add FreeBSD support
* Add plugin command

### Bugfixes:

* OpenCSW changed the paths of configs files

## v0.0.4 (2013-10-20)

### Summary:

This is a bug fix release

### Bug fixes:

* Fix puppet 3.x bug with array namevars
* Puppet lint fixes

## v0.0.3 (2013/09/25)

* Add Rakefile, Gemfile and update .gitignore
* Merge pull request #1 from ripienaar/puppet\_3\_2\_1\_deprecations
* Puppet 3.2.1 has deprecated 'foo' as a means of accessing variables in templates instead now requiring '@foo' and will log warnings about this.

## v0.0.2 (2013/02/02)

* Bump version to 0.0.2 for forge release
* Remove nrpe plugin.
* Fix spelling of the word command in README
* Ignore pkg directory
* Add ability to purge nrpe::commands
* Add smoke tests
* Add dependencies to the README
* Fix typo with `nagios_plugin` package for solaris
* Add nagios-plugin package param
* Add `nrpe::command` functionality
* Add redhat params to nrpe
* Change `allowed_hosts` from a string to an array
* Initial commit for nrpe module


\* *This Changelog was automatically generated by [github_changelog_generator](https://github.com/github-changelog-generator/github-changelog-generator)*
